Persongo

 

Getting MIDImage

MIDImage 3.5 System Requirements:  Windows 7, 8 or 10*.  A MIDI-capable player (Windows Media Player or the equivalent should work fine for "auditioning" your work).  SoundFont use requires a SoundFont-capable audio card.  SoundFont use is not a requirement.  

Microsoft NET version 4 is required.  (If you have WIndows 7 or later, you probably already have .NET 4)

Click the Download Demo button to get the MIDImage time-limited demo version. All features are enabled for 30 days, at which point Projects will no longer be able to be saved.  Please download the demo first to be sure it performs well on your system.  Contact us if you encounter any problems.

* Please update your system before running MIDImage 3.5  It is strongly suggested you download the demo version first to be sure it is compatible with your system. 

Download Demo

MIDImage is not currently available for purchase.

https://www.persongo.net/midimage-download